members.dev
Products

Archive Product

Sets the product to archived (terminal). This is the replacement for removing a product; there is no hard delete.

POST
/v1/products/{product_id}/archive

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

product_id*string

Response Body

application/json

application/json

curl -X POST "https://api.members.dev/v1/products/string/archive"
{
  "name": "Pro Plan",
  "description": "Access to advanced features",
  "start": {
    "start_type": "auto"
  },
  "recurring": {
    "recurring_type": "never"
  },
  "expiry": {
    "expiry_type": "never"
  },
  "trial": {
    "interval": "day",
    "interval_count": 7
  },
  "price": {
    "amount": 999,
    "currency": "USD",
    "price_type": "fixed"
  },
  "id": "prd_01KKSMB47VYGW97GFE67VGDK7M",
  "status": "Active",
  "state_transitions": {
    "archived_at": {}
  },
  "created_at": null,
  "updated_at": null,
  "benefit_schedules": [
    {
      "recurring": {
        "recurring_type": "never"
      },
      "expiry": {
        "expiry_type": "never"
      },
      "benefit_grants": [
        {
          "benefit_id": "string",
          "value_initial": 0,
          "expiry": {
            "expiry_type": "never"
          }
        }
      ]
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}